<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Project (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Project (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/PathFactory.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/Project.html" target="_top">Frames</a></li>
<li><a href="Project.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.idea.model</div>
<h2 title="Class Project" class="title">Class Project</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject</li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject</li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.idea.model.Project</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Project</span>
extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject</pre>
<div class="block">Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#Project(org.gradle.internal.xml.XmlTransformer,%20java.lang.Object)">Project</a></strong>(org.gradle.internal.xml.XmlTransformer&nbsp;xmlTransformer,
       <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;pathFactory)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#addModulePath(java.io.File)">addModulePath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;moduleFile)</code>
<div class="block">Adds a module to the module paths included in the Project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#configure(java.util.List,%20java.lang.String,%20org.gradle.plugins.ide.idea.model.IdeaLanguageLevel,%20org.gradle.api.JavaVersion,%20java.util.Collection,%20java.util.Collection,%20java.lang.String)">configure</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModule</a>&gt;&nbsp;modules,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jdkName,
         <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaLanguageLevel.html" title="class in org.gradle.plugins.ide.idea.model">IdeaLanguageLevel</a>&nbsp;languageLevel,
         <a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;bytecodeVersion,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;wildcards,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ProjectLibrary</a>&gt;&nbsp;projectLibraries,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;vcs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#equals(java.lang.Object)">equals</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#getDefaultResourceName()">getDefaultResourceName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/idea/model/Jdk.html" title="class in org.gradle.plugins.ide.idea.model">Jdk</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#getJdk()">getJdk</a></strong>()</code>
<div class="block">Represent the jdk information of the project java sdk.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/Path.html" title="class in org.gradle.plugins.ide.idea.model">Path</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#getModulePaths()">getModulePaths</a></strong>()</code>
<div class="block">A set of <a href="../../../../../../org/gradle/plugins/ide/idea/model/Path.html" title="class in org.gradle.plugins.ide.idea.model"><code>Path</code></a> instances pointing to the modules contained in the ipr.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ProjectLibrary</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#getProjectLibraries()">getProjectLibraries</a></strong>()</code>
<div class="block">The project-level libraries of the IDEA project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#getVcs()">getVcs</a></strong>()</code>
<div class="block">The vcs used by the project.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#getWildcards()">getWildcards</a></strong>()</code>
<div class="block">A set of wildcard string to be included/excluded from the resources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#hashCode()">hashCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#load(groovy.util.Node)">load</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util">Node</a>&nbsp;xml)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#setJdk(org.gradle.plugins.ide.idea.model.Jdk)">setJdk</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/Jdk.html" title="class in org.gradle.plugins.ide.idea.model">Jdk</a>&nbsp;jdk)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#setModulePaths(java.util.Set)">setModulePaths</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/Path.html" title="class in org.gradle.plugins.ide.idea.model">Path</a>&gt;&nbsp;modulePaths)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#setProjectLibraries(java.util.Set)">setProjectLibraries</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ProjectLibrary</a>&gt;&nbsp;projectLibraries)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#setVcs(java.lang.String)">setVcs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;vcs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#setWildcards(java.util.Set)">setWildcards</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;wildcards)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html#store(groovy.util.Node)">store</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util">Node</a>&nbsp;xml)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject</h3>
<code>findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject</h3>
<code>load, loadDefaults, store</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Project(org.gradle.internal.xml.XmlTransformer, java.lang.Object)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Project</h4>
<pre>public&nbsp;Project(org.gradle.internal.xml.XmlTransformer&nbsp;xmlTransformer,
       <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;pathFactory)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getModulePaths()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModulePaths</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/Path.html" title="class in org.gradle.plugins.ide.idea.model">Path</a>&gt;&nbsp;getModulePaths()</pre>
<div class="block">A set of <a href="../../../../../../org/gradle/plugins/ide/idea/model/Path.html" title="class in org.gradle.plugins.ide.idea.model"><code>Path</code></a> instances pointing to the modules contained in the ipr.</div>
</li>
</ul>
<a name="setModulePaths(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setModulePaths</h4>
<pre>public&nbsp;void&nbsp;setModulePaths(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/Path.html" title="class in org.gradle.plugins.ide.idea.model">Path</a>&gt;&nbsp;modulePaths)</pre>
</li>
</ul>
<a name="addModulePath(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addModulePath</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;addModulePath(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;moduleFile)</pre>
<div class="block">Adds a module to the module paths included in the Project.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>moduleFile</code> - path to the module's module file</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="getWildcards()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWildcards</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getWildcards()</pre>
<div class="block">A set of wildcard string to be included/excluded from the resources.</div>
</li>
</ul>
<a name="setWildcards(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWildcards</h4>
<pre>public&nbsp;void&nbsp;setWildcards(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;wildcards)</pre>
</li>
</ul>
<a name="getJdk()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJdk</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/idea/model/Jdk.html" title="class in org.gradle.plugins.ide.idea.model">Jdk</a>&nbsp;getJdk()</pre>
<div class="block">Represent the jdk information of the project java sdk.</div>
</li>
</ul>
<a name="setJdk(org.gradle.plugins.ide.idea.model.Jdk)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJdk</h4>
<pre>public&nbsp;void&nbsp;setJdk(<a href="../../../../../../org/gradle/plugins/ide/idea/model/Jdk.html" title="class in org.gradle.plugins.ide.idea.model">Jdk</a>&nbsp;jdk)</pre>
</li>
</ul>
<a name="getVcs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVcs</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getVcs()</pre>
<div class="block">The vcs used by the project.</div>
</li>
</ul>
<a name="setVcs(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVcs</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setVcs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;vcs)</pre>
</li>
</ul>
<a name="getProjectLibraries()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjectLibraries</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ProjectLibrary</a>&gt;&nbsp;getProjectLibraries()</pre>
<div class="block">The project-level libraries of the IDEA project.</div>
</li>
</ul>
<a name="setProjectLibraries(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProjectLibraries</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setProjectLibraries(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ProjectLibrary</a>&gt;&nbsp;projectLibraries)</pre>
</li>
</ul>
<a name="getDefaultResourceName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultResourceName</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDefaultResourceName()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getDefaultResourceName</code>&nbsp;in class&nbsp;<code>org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject</code></dd>
</dl>
</li>
</ul>
<a name="configure(java.util.List, java.lang.String, org.gradle.plugins.ide.idea.model.IdeaLanguageLevel, org.gradle.api.JavaVersion, java.util.Collection, java.util.Collection, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configure</h4>
<pre>public&nbsp;void&nbsp;configure(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModule</a>&gt;&nbsp;modules,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jdkName,
             <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaLanguageLevel.html" title="class in org.gradle.plugins.ide.idea.model">IdeaLanguageLevel</a>&nbsp;languageLevel,
             <a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;bytecodeVersion,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;wildcards,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ProjectLibrary</a>&gt;&nbsp;projectLibraries,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;vcs)</pre>
</li>
</ul>
<a name="load(groovy.util.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>protected&nbsp;void&nbsp;load(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util">Node</a>&nbsp;xml)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>load</code>&nbsp;in class&nbsp;<code>org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject</code></dd>
</dl>
</li>
</ul>
<a name="store(groovy.util.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>store</h4>
<pre>protected&nbsp;void&nbsp;store(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util">Node</a>&nbsp;xml)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>store</code>&nbsp;in class&nbsp;<code>org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject</code></dd>
</dl>
</li>
</ul>
<a name="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/PathFactory.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/Project.html" target="_top">Frames</a></li>
<li><a href="Project.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
